# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.sidewiki
Class SidewikiEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<SidewikiEntry>
                  com.google.gdata.data.sidewiki.SidewikiEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class SidewikiEntry

extends BaseEntry<SidewikiEntry>

Describes a Sidewiki entry in the feed of Sidewiki entries.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`SidewikiEntry()` Default mutable constructor.
`SidewikiEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Source` `getEntrySource()` Returns the Sidewiki entry source.
`Rating` `getRating()` Returns the Entry ratings given by all users and by the user issued the request.
`ResourceId` `getResourceId()` Returns the Sidewiki author id.
`Usefulness` `getUsefulness()` Returns the usefulness of entry.
`boolean` `hasEntrySource()` Returns whether it has the Sidewiki entry source.
`boolean` `hasRating()` Returns whether it has the Entry ratings given by all users and by the user issued the request.
`boolean` `hasResourceId()` Returns whether it has the Sidewiki author id.
`boolean` `hasUsefulness()` Returns whether it has the usefulness of entry.
`void` `setEntrySource(Source entrySource)` Sets the Sidewiki entry source.
`void` `setRating(Rating rating)` Sets the Entry ratings given by all users and by the user issued the request.
`void` `setResourceId(ResourceId resourceId)` Sets the Sidewiki author id.
`void` `setUsefulness(Usefulness usefulness)` Sets the usefulness of entry.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SidewikiEntry

    public SidewikiEntry()

  Default mutable constructor.

### SidewikiEntry

    public SidewikiEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getEntrySource

    public Source getEntrySource()

  Returns the Sidewiki entry source.

  Returns:
    Sidewiki entry source

### setEntrySource

    public void setEntrySource(Source entrySource)

  Sets the Sidewiki entry source.

  Parameters:
    `entrySource` - Sidewiki entry source or `null` to reset

### hasEntrySource

    public boolean hasEntrySource()

  Returns whether it has the Sidewiki entry source.

  Returns:
    whether it has the Sidewiki entry source

### getRating

    public Rating getRating()

  Returns the Entry ratings given by all users and by the user issued the request.

  Returns:
    Entry ratings given by all users and by the user issued the request

### setRating

    public void setRating(Rating rating)

  Sets the Entry ratings given by all users and by the user issued the request.

  Parameters:
    `rating` - Entry ratings given by all users and by the user issued the request or `null` to reset

### hasRating

    public boolean hasRating()

  Returns whether it has the Entry ratings given by all users and by the user issued the request.

  Returns:
    whether it has the Entry ratings given by all users and by the user issued the request

### getResourceId

    public ResourceId getResourceId()

  Returns the Sidewiki author id.

  Returns:
    Sidewiki author id

### setResourceId

    public void setResourceId(ResourceId resourceId)

  Sets the Sidewiki author id.

  Parameters:
    `resourceId` - Sidewiki author id or `null` to reset

### hasResourceId

    public boolean hasResourceId()

  Returns whether it has the Sidewiki author id.

  Returns:
    whether it has the Sidewiki author id

### getUsefulness

    public Usefulness getUsefulness()

  Returns the usefulness of entry.

  Returns:
    usefulness of entry

### setUsefulness

    public void setUsefulness(Usefulness usefulness)

  Sets the usefulness of entry.

  Parameters:
    `usefulness` - usefulness of entry or `null` to reset

### hasUsefulness

    public boolean hasUsefulness()

  Returns whether it has the usefulness of entry.

  Returns:
    whether it has the usefulness of entry

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`